v1.0

get

/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/subjects/{srcSubjectId}/unblinded-disp-history

Retrieves history of unblinded dispensation for a subject within the study. Rights: OrsSubjectVisitGet.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    C36A3197FDEE433FB5547EE83DE99E4B
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    C36A3197FDEE433FB5547EE83DE99E4B
Query Parameters
  • Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visit
    Example:
    B1B8327AFAA6412287106192AB5984EF

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : UnblindedDispensationHistoryDTO
Type: object
Title: UnblindedDispensationHistoryDTO
Contains unblinded dispensation history.
Show Source
Nested Schema : kitTypes
Type: array
Show Source
Nested Schema : Kit Type Details
Type: object
Title: Kit Type Details
Contains kit type details.
Show Source
Example:
{
    "kitTypeId":"01A9B3C7D5E84F2AA3B4C5D6E7F80910",
    "kitTypeName":"Dose Kit"
}
Nested Schema : dispensationDetails
Type: array
Show Source
Nested Schema : Kit Dispensation
Type: object
Title: Kit Dispensation
Contains kit dispensation details.
Show Source
  • Dispensation date.
  • Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).
    Example: 5
  • Kit number.
    Example: 5
Examples

400 Response

Invalid parameters
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

404 Response

Invalid study ID or version. Or subject not found
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

500 Response

Internal server error
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

Back to Top